// Code generated by mockery v2.10.2. DO NOT EDIT.

package mocks

import (
	models "bots-ms/models"

	mock "github.com/stretchr/testify/mock"
)

// TriggerStorageUsecase is an autogenerated mock type for the TriggerStorageUsecase type
type TriggerStorageUsecase struct {
	mock.Mock
}

// ClearContext provides a mock function with given fields: ctx
func (_m *TriggerStorageUsecase) ClearContext(ctx string) error {
	ret := _m.Called(ctx)

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(ctx)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Get provides a mock function with given fields: ctx, slug
func (_m *TriggerStorageUsecase) Get(ctx string, slug string) (*models.TriggerData, error) {
	ret := _m.Called(ctx, slug)

	var r0 *models.TriggerData
	if rf, ok := ret.Get(0).(func(string, string) *models.TriggerData); ok {
		r0 = rf(ctx, slug)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(*models.TriggerData)
		}
	}

	var r1 error
	if rf, ok := ret.Get(1).(func(string, string) error); ok {
		r1 = rf(ctx, slug)
	} else {
		r1 = ret.Error(1)
	}

	return r0, r1
}

// Set provides a mock function with given fields: ctx, slug, data
func (_m *TriggerStorageUsecase) Set(ctx string, slug string, data *models.TriggerData) error {
	ret := _m.Called(ctx, slug, data)

	var r0 error
	if rf, ok := ret.Get(0).(func(string, string, *models.TriggerData) error); ok {
		r0 = rf(ctx, slug, data)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}
